# Uses of Enum Class
com.google.protobuf.RuntimeVersion.RuntimeDomain

Packages that use RuntimeVersion.RuntimeDomain
Package
Description
com.google.protobuf

## Uses of RuntimeVersion.RuntimeDomain in com.google.protobuf

Fields in com.google.protobuf declared as RuntimeVersion.RuntimeDomain
Modifier and Type
Field
Description
`static final RuntimeVersion.RuntimeDomain`
RuntimeVersion.`DOMAIN`
`static final RuntimeVersion.RuntimeDomain`
RuntimeVersion.`OSS_DOMAIN`
Methods in com.google.protobuf that return RuntimeVersion.RuntimeDomain
Modifier and Type
Method
Description
`static RuntimeVersion.RuntimeDomain`
RuntimeVersion.RuntimeDomain.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RuntimeVersion.RuntimeDomain[]`
RuntimeVersion.RuntimeDomain.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf with parameters of type RuntimeVersion.RuntimeDomain
Modifier and Type
Method
Description
`static void`
RuntimeVersion.`validateProtobufGencodeVersion(RuntimeVersion.RuntimeDomain domain, int major, int minor, int patch, String suffix, String location)`
Validates that the gencode version is compatible with this runtime version according to https://protobuf.dev/support/cross-version-runtime-guarantee/.